1 Востаннє редагувалося ostap34PHP (07.07.2017 19:12:46)

Тема: lamp проблема встановлення в ubuntu 17,04

Доброго дня, встановлював lamp на ubuntu 17.04 p з цієї статті
ввів таке:

sudo apt-get update

- все ок
а коли ввів таке:

sudo apt-get upgrade

термінал мені  пише:

Зчитування переліків пакунків... Виконано
Побудова дерева залежностей                        
Зчитування інформації про стан... Виконано
Для виправлення цих помилок ви можете скористатися 'apt --fix-broken install'.
Пакунки, що мають незадоволені залежності:
 discord : Залежності (Depends): libgconf-2-4 але він не встановлений
           Залежності (Depends): libappindicator1 але він не встановлений
E: Незадоволені залежності. Спробуйте виконати 'apt --fix-broken install', не вказуючи назв пакунків (або вкажіть рішення).
ostap@ostap-Programmer:~$ 

пішла черга до apache:

ostap@ostap-Programmer:~$  sudo apt-get install apache2
Зчитування переліків пакунків... Виконано
Побудова дерева залежностей                        
Зчитування інформації про стан... Виконано
Для виправлення цих помилок ви можете скористатися 'apt --fix-broken install'.
Пакунки, що мають незадоволені залежності:
 apache2 : Залежності (Depends): apache2-bin (= 2.4.25-3ubuntu2.1) але він не буде встановлений
           Залежності (Depends): apache2-utils (= 2.4.25-3ubuntu2.1)
           Залежності (Depends): apache2-data (= 2.4.25-3ubuntu2.1) але він не буде встановлений
 discord : Залежності (Depends): libgconf-2-4 але він не буде встановлений
           Залежності (Depends): libappindicator1 але він не буде встановлений
E: Незадоволені залежності. Спробуйте виконати 'apt --fix-broken install', не вказуючи назв пакунків (або вкажіть рішення).
ostap@ostap-Programmer:~$ sudo apache2ctl configtest
sudo: apache2ctl: команду не знайдено
ostap@ostap-Programmer:~$ 
Чого воно не встановило apache! *WALL*

буду вдячний

Програмуй! або запрограмують тебе!
Мій старий нік: ost.bregin2014
http://elib.me/ - все про os android українською мовою!

2 Востаннє редагувалося /KIT\ (07.07.2017 19:47:38)

Re: lamp проблема встановлення в ubuntu 17,04

Ну так виконайте той "apt --fix-broken install"

...
Подякували: ostap34PHP, 0xDADA11C72

3

Re: lamp проблема встановлення в ubuntu 17,04

/KIT\ написав:

Ну так виконайте той "apt --fix-broken install"

Дякую, спрацювало

Програмуй! або запрограмують тебе!
Мій старий нік: ost.bregin2014
http://elib.me/ - все про os android українською мовою!

4 Востаннє редагувалося NagarD (07.07.2017 23:25:46)

Re: lamp проблема встановлення в ubuntu 17,04

Дякую, посміявіся від душі  *JOKINGLY*

А ще можна було поставити кожну бібліотеку окремо, типу

apt install apache2-bin && apt install apache2-utils && і-так-далі-за-переліком

Здається apache2ctl configtest тотожне apache2ctl -t, але літер менше.

css.in.ua - веб-розробка
Подякували: ostap34PHP, 0xDADA11C72

5

Re: lamp проблема встановлення в ubuntu 17,04

дуже раджу не міняти англійську локаль.
і корисно, і потім менше клопотів.
навіть, якщо треба пошукати помилку на stackoverflow

Подякували: Master_Sergius1